import {
  ChartBarIcon,
  CloudIcon,
  UsersIcon,
  CogIcon,
  SwitchHorizontalIcon,
  ClockIcon,
  ShieldCheckIcon,
  InformationCircleIcon,
} from '@heroicons/react/outline';

export const DASHBOARD_APPS = [
  {
    id: 1,
    name: 'Nextcloud',
    assetSrc: '/assets/nextcloud.svg',
    markdownSrc: '/markdown/nextcloud.md',
  },
  {
    id: 2,
    name: 'Wekan',
    assetSrc: '/assets/wekan.svg',
    markdownSrc: '/markdown/wekan.md',
  },
  {
    id: 3,
    name: 'Rocketchat',
    assetSrc: '/assets/rocketchat.svg',
    markdownSrc: '/markdown/rocket.md',
  },
  {
    id: 4,
    name: 'Wordpress',
    assetSrc: '/assets/wordpress.svg',
    markdownSrc: '/markdown/wordpress.md',
  },
];

export const DASHBOARD_QUICK_ACCESS = [
  {
    id: 1,
    name: 'Users →',
    to: '/users',
    description: 'Manage users and their permissions',
    icon: UsersIcon,
    active: true,
  },
  {
    id: 2,
    name: 'Apps →',
    to: '/apps',
    description: 'Stay on top of your deadlines, or don’t — it’s up to you',
    icon: CloudIcon,
    active: true,
  },
  {
    id: 3,
    name: 'Monitoring →',
    to: '/dashboard',
    description: 'Monitor your system with Grafana',
    icon: ChartBarIcon,
    active: false,
  },
  {
    id: 4,
    name: 'Data Migration →',
    to: '/dashboard',
    description: 'Import your data from other platforms and services',
    icon: SwitchHorizontalIcon,
    active: false,
  },
  {
    id: 5,
    name: 'Account Settings →',
    to: '/dashboard',
    description: 'Manage your organisation’s profile and preferences',
    icon: CogIcon,
    active: false,
  },
  {
    id: 6,
    name: 'Backup & Restore →',
    to: '/dashboard',
    description: 'Backup or restore your data',
    icon: ClockIcon,
    active: false,
  },
  {
    id: 7,
    name: 'Security →',
    to: '/dashboard',
    description: 'Configure security settings, view alerts and analytics',
    icon: ShieldCheckIcon,
    active: false,
  },
  {
    id: 8,
    name: 'Support →',
    to: '/dashboard',
    description: 'Access documentation and forum',
    icon: InformationCircleIcon,
    active: false,
  },
];
