import _ from 'lodash';

import { User } from './types';

export const transformResponseUser = (response: any): User => {
  const userResponse = _.get(response, 'user', response);

  return {
    id: userResponse.id,
    email: userResponse.traits.email,
    name: userResponse.traits.name ?? null,
    status: userResponse.state,
  };
};

export const transformUser = (response: any): User => {
  const userResponse = _.get(response, 'user', response);

  return {
    id: userResponse.id,
    email: userResponse.email,
    name: userResponse.name,
    status: userResponse.status,
  };
};

export const transformRequestUser = (data: any) => {
  return {
    email: data.email,
    name: data.name,
  };
};
